commit:     43bf2ed6043fc7388c9417506578628180f63a6d
Author:     Arfrever Frehtes Taifersar Arahesis <Arfrever <AT> Apache <DOT> Org>
AuthorDate: Sun Nov 22 06:00:00 2020 +0000
Commit:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Sun Nov 22 19:31:57 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=43bf2ed6

dev-python/protobuf-python: Version bump (3.14.0).

Signed-off-by: Arfrever Frehtes Taifersar Arahesis <Arfrever <AT> Apache.Org>
Signed-off-by: Mike Gilbert <floppym <AT> gentoo.org>

 dev-python/protobuf-python/Manifest                |  1 +
 .../protobuf-python/protobuf-python-3.14.0.ebuild  | 66 ++++++++++++++++++++++
 2 files changed, 67 insertions(+)

diff --git a/dev-python/protobuf-python/Manifest 
b/dev-python/protobuf-python/Manifest
index 77fbd5bd334..f999d53e988 100644
--- a/dev-python/protobuf-python/Manifest
+++ b/dev-python/protobuf-python/Manifest
@@ -1,3 +1,4 @@
 DIST protobuf-3.12.2.tar.gz 5309688 BLAKE2B 
6f04ab75a165d8135b4c1de210f8698f56f309f73d664192209de10580e0ef850bf56f6f394b860f21912e341141f7bbb1f63198eaee55fd7ad74d86b00c3b1f
 SHA512 
84a349a1dcb5bce6a6a892cf11264390b557ed1e7b05883b71fa9cfb7460d9f73119da1f2861066869e33c752246ea438d5ce2c2b3ff7a4b07696d9450b7916b
 DIST protobuf-3.12.4.tar.gz 5310348 BLAKE2B 
2630941672963165467221843c10079a0ed966f2fdfcbc970b0b41e1ed3c7f78734496c1fbd3ec509c68999a14f637fff267b309cf82a8acf2bb5a948484f79b
 SHA512 
c5d24502b9a6be0a606a19213186fe462e0de6830547003636f0897781f36d0bd7e4e7d9689d96390a0399ce04b6438cda3a0fe6f97f0feb700a110e90beef0c
 DIST protobuf-3.13.0.tar.gz 5277913 BLAKE2B 
168aaa5beef83be675cd2543ca8efeaf5174f5e7fd861a056b04b01c8c781dc7b1fcbd05068ae89f051dfacfdc47c34b19cc33c8d09dd3212d3827746e3408f2
 SHA512 
514efa65fc8a36bc0791e6d39bdfb07b2689e9c2a4b82536c657859b800e7bc1e1a0ae86a7ee33f30c43a473a49b5c346ce830ac0057b6da104ed37f90b8b0fd
+DIST protobuf-3.14.0.tar.gz 5319779 BLAKE2B 
cea083eea4d7fec441536effdfe2bf1811913154b0cc0da2f14f4edeb0efb200236da102c36700e24fab73fd9883aa90576ad64603a7f175ebf5cef0dc29aae5
 SHA512 
9dabba81119cb6196ef5de382a1032c57f6e69038f4dce0156f8671b98e51bb5095915fb6d05bb5a8ad8b17b559e652e1e9a392dd30c7ed8dcf1d986c137be11

diff --git a/dev-python/protobuf-python/protobuf-python-3.14.0.ebuild 
b/dev-python/protobuf-python/protobuf-python-3.14.0.ebuild
new file mode 100644
index 00000000000..68484e4d06d
--- /dev/null
+++ b/dev-python/protobuf-python/protobuf-python-3.14.0.ebuild
@@ -0,0 +1,66 @@
+# Copyright 2008-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+PYTHON_COMPAT=(python{3_6,3_7,3_8,3_9})
+DISTUTILS_USE_SETUPTOOLS="bdepend"
+
+inherit distutils-r1
+
+if [[ "${PV}" == "9999" ]]; then
+       inherit git-r3
+
+       EGIT_REPO_URI="https://github.com/protocolbuffers/protobuf";
+       EGIT_SUBMODULES=()
+fi
+
+DESCRIPTION="Google's Protocol Buffers - Python bindings"
+HOMEPAGE="https://developers.google.com/protocol-buffers/ 
https://github.com/protocolbuffers/protobuf";
+if [[ "${PV}" == "9999" ]]; then
+       SRC_URI=""
+else
+       
SRC_URI="https://github.com/protocolbuffers/protobuf/archive/v${PV}.tar.gz -> 
protobuf-${PV}.tar.gz"
+fi
+
+LICENSE="BSD"
+SLOT="0/25"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 
~amd64-linux ~x86-linux ~x64-macos ~x86-macos"
+IUSE=""
+
+BDEPEND="${PYTHON_DEPS}
+       ~dev-libs/protobuf-${PV}
+       dev-python/namespace-google[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]"
+DEPEND="${PYTHON_DEPS}
+       ~dev-libs/protobuf-${PV}"
+RDEPEND="${BDEPEND}
+       !<dev-libs/protobuf-3[python(-)]"
+
+S="${WORKDIR}/protobuf-${PV}/python"
+
+if [[ "${PV}" == "9999" ]]; then
+       EGIT_CHECKOUT_DIR="${WORKDIR}/protobuf-${PV}"
+fi
+
+python_prepare_all() {
+       pushd "${WORKDIR}/protobuf-${PV}" > /dev/null || die
+       eapply 
"${FILESDIR}/${PN}-3.13.0-google.protobuf.pyext._message.PyUnknownFieldRef.patch"
+       eapply_user
+       popd > /dev/null || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_configure_all() {
+       mydistutilsargs=(--cpp_implementation)
+}
+
+python_test() {
+       esetup.py test
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+
+       find "${D}" -name "*.pth" -type f -delete || die
+}

Reply via email to